SSIServlet (Tomcat API Documentation)
Keywords: org.apache.catalina.ssi.SSIServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.ssi.SSIServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class SSIServlet

extends javax.servlet.http.HttpServlet

Servlet to process SSI requests within a webpage. Mapped to a path from within web.xml.

Version:
  $Revision: 769388 $, $Date: 2009-04-28 15:26:54 +0200 (Tue, 28 Apr 2009) $
Author:
  Bip Thelin, Amy Roh, Dan Sandberg, David Becker
See Also:
  Serialized Form

Field Summary
`protected boolean` | `buffered` Should the output be buffered.
`protected int` | `debug` Debug level for this servlet.
`protected java.lang.Long` | `expires` Expiration time in seconds for the doc.
`protected java.lang.String` | `inputEncoding` Input encoding.
`protected boolean` | `isVirtualWebappRelative` virtual path can be webapp-relative
`protected java.lang.String` | `outputEncoding` Output encoding.

Constructor Summary
`SSIServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process and forward the GET request to our `requestHandler()`*
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process and forward the POST request to our `requestHandler()`.
`void` | `init()` Initialize this servlet.
`protected void` | `processSSI(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.net.URL resource)`
`protected void` | `requestHandler(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process our request and locate right SSI command.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected int debug

  Debug level for this servlet.

### buffered

    protected boolean buffered

  Should the output be buffered.

### expires

    protected java.lang.Long expires

  Expiration time in seconds for the doc.

### isVirtualWebappRelative

    protected boolean isVirtualWebappRelative

  virtual path can be webapp-relative

### inputEncoding

    protected java.lang.String inputEncoding

  Input encoding. If not specified, uses platform default

### outputEncoding

    protected java.lang.String outputEncoding

  Output encoding. If not specified, uses platform default

Constructor Detail

### SSIServlet

    public SSIServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException` - if an error occurs

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process and forward the GET request to our `requestHandler()`*

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException` - if an error occurs
    `javax.servlet.ServletException` - if an error occurs
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process and forward the POST request to our `requestHandler()`.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException` - if an error occurs
    `javax.servlet.ServletException` - if an error occurs
  See Also:
    `ServletOutputStream`, `ServletResponse.setContentType(java.lang.String)`

### requestHandler

    protected void requestHandler(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse res)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Process our request and locate right SSI command.

  Parameters:
    `req` - a value of type 'HttpServletRequest'
    `res` - a value of type 'HttpServletResponse'
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processSSI

    protected void processSSI(javax.servlet.http.HttpServletRequest req,
                              javax.servlet.http.HttpServletResponse res,
                              java.net.URL resource)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.